## org.apache.lucene.util
Class DoubleBarrelLRUCache.CloneableKey

    java.lang.Object
      org.apache.lucene.util.DoubleBarrelLRUCache.CloneableKey

Enclosing class:
  DoubleBarrelLRUCache<K extends DoubleBarrelLRUCache.CloneableKey,V>

    public abstract static class DoubleBarrelLRUCache.CloneableKey

extends Object

Object providing clone(); the key class must subclass this.

Constructor Summary
`DoubleBarrelLRUCache.CloneableKey()`

Method Summary
`abstract Object` `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleBarrelLRUCache.CloneableKey

    public DoubleBarrelLRUCache.CloneableKey()

Method Detail

### clone

    public abstract Object clone()

  Overrides:
    `clone` in class `Object`